//
//  WeChatXinfoHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/15.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "WeChatXinfoHttpPostCmd.h"
#import "WeChatXinfoHttpResult.h"

static NSString *kActionUrl1 = @"/weChatLogin/queryUserByWeChatId";

@implementation WeChatXinfoHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[WeChatXinfoHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[WeChatXinfoHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpWeChatXinfoHttpPostCmd_wechatid = @"wechatid";
NSString *const kHttpWeChatXinfoHttpPostCmd_ticket = @"ticket";
